Forçando a compatibilidade de complementos do Mozilla

Este tutorial descreve como mudar as informações de compatibilidade em seus add-ons, a fim de tornar possível a sua instalação em uma versão superior à antigamente informada. Lembrando que este método aplica-se apenas a alguns complementos que possam ter sido descontinuados, caso haja uma atualização para este, opte por esta.

Para o procedimento, recomendo a utilização do aplicativo Winzip, que pode ser baixado através deste link. Mas outros programas de descompactação também podem servir.

Agora, vamos aos passos:

  1. Baixe o arquivo de instalação do complemento, com a extensão .xpi e salve em uma pasta no seu computador;
  2. Abra o arquivo com o devido aplicativo, como se fosse um arquivo .zip comum;
  3. Extraia todo o conteúdo do arquivo para uma pasta separada;
  4. Entre nesta pasta que acabou de ser extraída;
  5. Note a existência de um arquivo chamado “install.rdf” e abra-o com um editor de texto comum (como Bloco de Notas);
  6. Procure uma linha contendo “maxVersion”, geralmente no formato:
    <em:maxVersion>X.0</em:maxVersion>
  7. Altere o número para a versão desejada, como por exemplo “10.0″ e salve a alteração;
  8. Crie um arquivo comprimido novamente, utilizando o mesmo aplicativo que o extraiu. Porém, mude a extensão do arquivo para .xpi, ao invés de .zip
    Caso o arquivo seja criado na extensão .zip, altere-a através do Prompt de Comando utilizando:
    ren (nome do arquivo).zip (nome do arquivo).xpi
  9. Finalmente, abra o arquivo com o Firefox e este irá instalá-lo.

Recomendo que antes de instalar o arquivo, realize um backup da pasta Profile do aplicativo, assim caso haja algum problema, poderá ser facilmente recuperado.

Nós queremos saber sua opinião aqui